// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.0
// 	protoc        v3.19.6
// source: taskstatus.proto

package reconcile

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//
// ReconcilerOp is so we tell the reconciler's main function what we're doing, for synchronization.
//
type ReconcilerOp int32

const (
	ReconcilerOp_Undefined ReconcilerOp = 0
	ReconcilerOp_Idle      ReconcilerOp = 1
	ReconcilerOp_Init      ReconcilerOp = 2
	ReconcilerOp_Create    ReconcilerOp = 3
	ReconcilerOp_Update    ReconcilerOp = 4
	ReconcilerOp_Delete    ReconcilerOp = 5
	ReconcilerOp_Ensure    ReconcilerOp = 6
	ReconcilerOp_Health    ReconcilerOp = 7
	ReconcilerOp_Pollcheck ReconcilerOp = 8
)

// Enum value maps for ReconcilerOp.
var (
	ReconcilerOp_name = map[int32]string{
		0: "Undefined",
		1: "Idle",
		2: "Init",
		3: "Create",
		4: "Update",
		5: "Delete",
		6: "Ensure",
		7: "Health",
		8: "Pollcheck",
	}
	ReconcilerOp_value = map[string]int32{
		"Undefined": 0,
		"Idle":      1,
		"Init":      2,
		"Create":    3,
		"Update":    4,
		"Delete":    5,
		"Ensure":    6,
		"Health":    7,
		"Pollcheck": 8,
	}
)

func (x ReconcilerOp) Enum() *ReconcilerOp {
	p := new(ReconcilerOp)
	*p = x
	return p
}

func (x ReconcilerOp) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ReconcilerOp) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[0].Descriptor()
}

func (ReconcilerOp) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[0]
}

func (x ReconcilerOp) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ReconcilerOp.Descriptor instead.
func (ReconcilerOp) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{0}
}

// What the task record's existence should be
// Using multiple of these on the same Task/ReconcilerManager/ReconcilerName
// works for Exists/Optional/Deleted, although your TaskForest will be funny.
// Ignore overrides everything else.
type TaskRecord_ExistenceTypes int32

const (
	TaskRecord_Exists   TaskRecord_ExistenceTypes = 0 // The default. The task should exist and should be successful
	TaskRecord_Optional TaskRecord_ExistenceTypes = 1 // This may or may not exist (because it's dynamic), so missing is ok
	TaskRecord_Deleted  TaskRecord_ExistenceTypes = 2 // This should be deleted, so success means NOT PRESENT
	TaskRecord_Ignore   TaskRecord_ExistenceTypes = 3 // Do NOT include the task in the tree (because you don't want to show it to users). Overrides everything else
)

// Enum value maps for TaskRecord_ExistenceTypes.
var (
	TaskRecord_ExistenceTypes_name = map[int32]string{
		0: "Exists",
		1: "Optional",
		2: "Deleted",
		3: "Ignore",
	}
	TaskRecord_ExistenceTypes_value = map[string]int32{
		"Exists":   0,
		"Optional": 1,
		"Deleted":  2,
		"Ignore":   3,
	}
)

func (x TaskRecord_ExistenceTypes) Enum() *TaskRecord_ExistenceTypes {
	p := new(TaskRecord_ExistenceTypes)
	*p = x
	return p
}

func (x TaskRecord_ExistenceTypes) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskRecord_ExistenceTypes) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[1].Descriptor()
}

func (TaskRecord_ExistenceTypes) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[1]
}

func (x TaskRecord_ExistenceTypes) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskRecord_ExistenceTypes.Descriptor instead.
func (TaskRecord_ExistenceTypes) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{0, 0}
}

// Options for how to interpret the key
type TaskRecord_KeyTypes int32

const (
	TaskRecord_SingleKey   TaskRecord_KeyTypes = 0 // The default. Inteprets it as a single key
	TaskRecord_PrefixSpace TaskRecord_KeyTypes = 1 // Interprets it as a key prefix
)

// Enum value maps for TaskRecord_KeyTypes.
var (
	TaskRecord_KeyTypes_name = map[int32]string{
		0: "SingleKey",
		1: "PrefixSpace",
	}
	TaskRecord_KeyTypes_value = map[string]int32{
		"SingleKey":   0,
		"PrefixSpace": 1,
	}
)

func (x TaskRecord_KeyTypes) Enum() *TaskRecord_KeyTypes {
	p := new(TaskRecord_KeyTypes)
	*p = x
	return p
}

func (x TaskRecord_KeyTypes) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskRecord_KeyTypes) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[2].Descriptor()
}

func (TaskRecord_KeyTypes) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[2]
}

func (x TaskRecord_KeyTypes) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskRecord_KeyTypes.Descriptor instead.
func (TaskRecord_KeyTypes) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{0, 1}
}

// This determines the type of keys in Subkeys,
// but as subkeys was deprecated,
// the meanings are much simpler now
type TaskGoal_GoalType int32

const (
	TaskGoal_Undefined TaskGoal_GoalType = 0
	TaskGoal_Supergoal TaskGoal_GoalType = 1 // Has subgoals
	TaskGoal_Supertask TaskGoal_GoalType = 2 // Does not have subgoals and only has subtasks
)

// Enum value maps for TaskGoal_GoalType.
var (
	TaskGoal_GoalType_name = map[int32]string{
		0: "Undefined",
		1: "Supergoal",
		2: "Supertask",
	}
	TaskGoal_GoalType_value = map[string]int32{
		"Undefined": 0,
		"Supergoal": 1,
		"Supertask": 2,
	}
)

func (x TaskGoal_GoalType) Enum() *TaskGoal_GoalType {
	p := new(TaskGoal_GoalType)
	*p = x
	return p
}

func (x TaskGoal_GoalType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskGoal_GoalType) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[3].Descriptor()
}

func (TaskGoal_GoalType) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[3]
}

func (x TaskGoal_GoalType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskGoal_GoalType.Descriptor instead.
func (TaskGoal_GoalType) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{1, 0}
}

type TaskStatus_StatusType int32

const (
	TaskStatus_Undefined    TaskStatus_StatusType = 0 // Unknown status type
	TaskStatus_Success      TaskStatus_StatusType = 1 // The key handler has successfully handled a put
	TaskStatus_Deleted      TaskStatus_StatusType = 2 // The key handler has successfully handled a delete
	TaskStatus_Pending      TaskStatus_StatusType = 3 // The key handler has not yet started handling the key
	TaskStatus_Unresponsive TaskStatus_StatusType = 4 // The key handler does not seem to be responsive
	TaskStatus_Processing   TaskStatus_StatusType = 5 // The key handler is currently in progress
	TaskStatus_Error        TaskStatus_StatusType = 6 // The key handler has error'ed out
)

// Enum value maps for TaskStatus_StatusType.
var (
	TaskStatus_StatusType_name = map[int32]string{
		0: "Undefined",
		1: "Success",
		2: "Deleted",
		3: "Pending",
		4: "Unresponsive",
		5: "Processing",
		6: "Error",
	}
	TaskStatus_StatusType_value = map[string]int32{
		"Undefined":    0,
		"Success":      1,
		"Deleted":      2,
		"Pending":      3,
		"Unresponsive": 4,
		"Processing":   5,
		"Error":        6,
	}
)

func (x TaskStatus_StatusType) Enum() *TaskStatus_StatusType {
	p := new(TaskStatus_StatusType)
	*p = x
	return p
}

func (x TaskStatus_StatusType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskStatus_StatusType) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[4].Descriptor()
}

func (TaskStatus_StatusType) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[4]
}

func (x TaskStatus_StatusType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskStatus_StatusType.Descriptor instead.
func (TaskStatus_StatusType) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{2, 0}
}

type TaskMessage_Type int32

const (
	TaskMessage_Undefined TaskMessage_Type = 0
	TaskMessage_Error     TaskMessage_Type = 1
	TaskMessage_Warning   TaskMessage_Type = 2
	TaskMessage_Info      TaskMessage_Type = 3
	TaskMessage_Debug     TaskMessage_Type = 4
	TaskMessage_Trace     TaskMessage_Type = 5
)

// Enum value maps for TaskMessage_Type.
var (
	TaskMessage_Type_name = map[int32]string{
		0: "Undefined",
		1: "Error",
		2: "Warning",
		3: "Info",
		4: "Debug",
		5: "Trace",
	}
	TaskMessage_Type_value = map[string]int32{
		"Undefined": 0,
		"Error":     1,
		"Warning":   2,
		"Info":      3,
		"Debug":     4,
		"Trace":     5,
	}
)

func (x TaskMessage_Type) Enum() *TaskMessage_Type {
	p := new(TaskMessage_Type)
	*p = x
	return p
}

func (x TaskMessage_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (TaskMessage_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[5].Descriptor()
}

func (TaskMessage_Type) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[5]
}

func (x TaskMessage_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use TaskMessage_Type.Descriptor instead.
func (TaskMessage_Type) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{3, 0}
}

type DeprStatus_DeprResultType int32

const (
	DeprStatus_ResultUndefined DeprStatus_DeprResultType = 0
	DeprStatus_Working         DeprStatus_DeprResultType = 1
	DeprStatus_Error           DeprStatus_DeprResultType = 2
	DeprStatus_Success         DeprStatus_DeprResultType = 3
	DeprStatus_Stale           DeprStatus_DeprResultType = 4
)

// Enum value maps for DeprStatus_DeprResultType.
var (
	DeprStatus_DeprResultType_name = map[int32]string{
		0: "ResultUndefined",
		1: "Working",
		2: "Error",
		3: "Success",
		4: "Stale",
	}
	DeprStatus_DeprResultType_value = map[string]int32{
		"ResultUndefined": 0,
		"Working":         1,
		"Error":           2,
		"Success":         3,
		"Stale":           4,
	}
)

func (x DeprStatus_DeprResultType) Enum() *DeprStatus_DeprResultType {
	p := new(DeprStatus_DeprResultType)
	*p = x
	return p
}

func (x DeprStatus_DeprResultType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DeprStatus_DeprResultType) Descriptor() protoreflect.EnumDescriptor {
	return file_taskstatus_proto_enumTypes[6].Descriptor()
}

func (DeprStatus_DeprResultType) Type() protoreflect.EnumType {
	return &file_taskstatus_proto_enumTypes[6]
}

func (x DeprStatus_DeprResultType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DeprStatus_DeprResultType.Descriptor instead.
func (DeprStatus_DeprResultType) EnumDescriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{7, 0}
}

// small tuple representing indicating a task handled by a specific reconciler
// if Manager or Name is "", then it is considered to be a generic task record,
// meaning that any reconciler can fulfill this record
type TaskRecord struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Task              string                    `protobuf:"bytes,1,opt,name=Task,proto3" json:"Task,omitempty"`
	ReconcilerManager string                    `protobuf:"bytes,2,opt,name=ReconcilerManager,proto3" json:"ReconcilerManager,omitempty"`
	ReconcilerName    string                    `protobuf:"bytes,3,opt,name=ReconcilerName,proto3" json:"ReconcilerName,omitempty"`
	Existence         TaskRecord_ExistenceTypes `protobuf:"varint,4,opt,name=Existence,proto3,enum=reconcile.TaskRecord_ExistenceTypes" json:"Existence,omitempty"`
	KeyType           TaskRecord_KeyTypes       `protobuf:"varint,5,opt,name=KeyType,proto3,enum=reconcile.TaskRecord_KeyTypes" json:"KeyType,omitempty"`
}

func (x *TaskRecord) Reset() {
	*x = TaskRecord{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskRecord) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskRecord) ProtoMessage() {}

func (x *TaskRecord) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskRecord.ProtoReflect.Descriptor instead.
func (*TaskRecord) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{0}
}

func (x *TaskRecord) GetTask() string {
	if x != nil {
		return x.Task
	}
	return ""
}

func (x *TaskRecord) GetReconcilerManager() string {
	if x != nil {
		return x.ReconcilerManager
	}
	return ""
}

func (x *TaskRecord) GetReconcilerName() string {
	if x != nil {
		return x.ReconcilerName
	}
	return ""
}

func (x *TaskRecord) GetExistence() TaskRecord_ExistenceTypes {
	if x != nil {
		return x.Existence
	}
	return TaskRecord_Exists
}

func (x *TaskRecord) GetKeyType() TaskRecord_KeyTypes {
	if x != nil {
		return x.KeyType
	}
	return TaskRecord_SingleKey
}

//
// TaskGoal
//
// Goals are created at the highest level, usually by an apiserver handler
// Reconcilers should never create goals, they should only create subtasks
//
type TaskGoal struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The etcd key used (without the taskgoal prefix)
	SelfKey string `protobuf:"bytes,1,opt,name=SelfKey,proto3" json:"SelfKey,omitempty"`
	// The goal's name, used for display
	Name string `protobuf:"bytes,2,opt,name=Name,proto3" json:"Name,omitempty"`
	// A description of the goal, used for display
	Desc string `protobuf:"bytes,3,opt,name=Desc,proto3" json:"Desc,omitempty"`
	// The type of goal this is
	Type TaskGoal_GoalType `protobuf:"varint,4,opt,name=Type,proto3,enum=reconcile.TaskGoal_GoalType" json:"Type,omitempty"`
	// Version of the etcd key, used for the storage interface.
	SelfVersion int64 `protobuf:"varint,5,opt,name=SelfVersion,proto3" json:"SelfVersion,omitempty"`
	// When the goal was first created.
	Creation *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=Creation,proto3" json:"Creation,omitempty"`
	// The last time the goal was written.
	When *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=When,proto3" json:"When,omitempty"`
	// The etcd subkeys of the goal. Prefixes to these subkeys are determined by the GoalType.
	// deprecated, as we just use Subgoals, Subtasks, and Subrecs instead
	Subkeys []string `protobuf:"bytes,8,rep,name=Subkeys,proto3" json:"Subkeys,omitempty"`
	// Keys of subgoals
	Subgoals []string `protobuf:"bytes,9,rep,name=Subgoals,proto3" json:"Subgoals,omitempty"`
	// Keys of subtasks (without the reconciler attached)
	Subtasks []*TaskRecord `protobuf:"bytes,10,rep,name=Subtasks,proto3" json:"Subtasks,omitempty"`
}

func (x *TaskGoal) Reset() {
	*x = TaskGoal{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskGoal) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskGoal) ProtoMessage() {}

func (x *TaskGoal) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskGoal.ProtoReflect.Descriptor instead.
func (*TaskGoal) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{1}
}

func (x *TaskGoal) GetSelfKey() string {
	if x != nil {
		return x.SelfKey
	}
	return ""
}

func (x *TaskGoal) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *TaskGoal) GetDesc() string {
	if x != nil {
		return x.Desc
	}
	return ""
}

func (x *TaskGoal) GetType() TaskGoal_GoalType {
	if x != nil {
		return x.Type
	}
	return TaskGoal_Undefined
}

func (x *TaskGoal) GetSelfVersion() int64 {
	if x != nil {
		return x.SelfVersion
	}
	return 0
}

func (x *TaskGoal) GetCreation() *timestamppb.Timestamp {
	if x != nil {
		return x.Creation
	}
	return nil
}

func (x *TaskGoal) GetWhen() *timestamppb.Timestamp {
	if x != nil {
		return x.When
	}
	return nil
}

func (x *TaskGoal) GetSubkeys() []string {
	if x != nil {
		return x.Subkeys
	}
	return nil
}

func (x *TaskGoal) GetSubgoals() []string {
	if x != nil {
		return x.Subgoals
	}
	return nil
}

func (x *TaskGoal) GetSubtasks() []*TaskRecord {
	if x != nil {
		return x.Subtasks
	}
	return nil
}

//
// A TaskStatus is an individual step that changes the state of something to accomplish a goal.
//
type TaskStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ReconcilerManager string                `protobuf:"bytes,1,opt,name=ReconcilerManager,proto3" json:"ReconcilerManager,omitempty"`                         // Name of the reconciler manager for this task
	ReconcilerName    string                `protobuf:"bytes,2,opt,name=ReconcilerName,proto3" json:"ReconcilerName,omitempty"`                               // Name of the reconciler for this task
	Desc              string                `protobuf:"bytes,3,opt,name=Desc,proto3" json:"Desc,omitempty"`                                                   // A longer description of the task. Meant for human consumption.
	LastStatus        TaskStatus_StatusType `protobuf:"varint,4,opt,name=LastStatus,proto3,enum=reconcile.TaskStatus_StatusType" json:"LastStatus,omitempty"` // The status of the last handle operation.
	// This is the value to set if you want to manually specify the status of a Task.
	SelfVersion int64  `protobuf:"varint,5,opt,name=SelfVersion,proto3" json:"SelfVersion,omitempty"` // Version of the status key itself
	TaskVersion int64  `protobuf:"varint,6,opt,name=TaskVersion,proto3" json:"TaskVersion,omitempty"` // Last reconciled version of the task key
	PrevValue   []byte `protobuf:"bytes,7,opt,name=PrevValue,proto3" json:"PrevValue,omitempty"`      // The previous value reconciled.
	// Used to determine if the status is actually up to date
	//   and when a key is deleted while the reconciler is offline
	//   so we know what exactly to teardown.
	//
	// When a TaskStatus is used inside of a TaskTree, this is set to nil
	//   to save data and to not expose these to users.
	Duration *durationpb.Duration   `protobuf:"bytes,8,opt,name=Duration,proto3" json:"Duration,omitempty"` // UNUSED, here for compatibility
	When     *timestamppb.Timestamp `protobuf:"bytes,9,opt,name=When,proto3" json:"When,omitempty"`         // timestamp of task
	TaskKey  string                 `protobuf:"bytes,10,opt,name=TaskKey,proto3" json:"TaskKey,omitempty"`  // The specific etcd key for this task. e.g. /users/murphy
	// as opposed to a key under which keys are put, i.e. /users/
	SubtaskKeys []string       `protobuf:"bytes,11,rep,name=SubtaskKeys,proto3" json:"SubtaskKeys,omitempty"` // Keys created by this task that other reconcilers may consume.
	Messages    []*TaskMessage `protobuf:"bytes,12,rep,name=Messages,proto3" json:"Messages,omitempty"`       // Informational strings about the status of the task.
	// Meant for human consumption. "Couldn't create /home/murphy".
	CurrentStatus TaskStatus_StatusType `protobuf:"varint,13,opt,name=CurrentStatus,proto3,enum=reconcile.TaskStatus_StatusType" json:"CurrentStatus,omitempty"` // This is the actual status of the task when the key is read.
	//
	// Because the value of this depends on when the TaskStatus is read,
	//   this value will be overwritten when the TaskStatus is read.
	// So, if you want to manually set the Status of a TaskStatus for use in etcd,
	//   DO NOT SET THIS VALUE, set LastStatus instead.
	//
	// The value of this depends on:
	//  - the version and value of the currently written task key
	//    - if they don't match, the status is "Pending"
	//  - if the reconciler doesn't seem to be alive, the status is "Unresponsive."
	//  - otherwise, this is identical to LastStatus
	TaskRevision int64                  `protobuf:"varint,14,opt,name=TaskRevision,proto3" json:"TaskRevision,omitempty"` // Last reconciled revision of the task key
	Creation     *timestamppb.Timestamp `protobuf:"bytes,15,opt,name=Creation,proto3" json:"Creation,omitempty"`          // timestamp of when task first handled Create
}

func (x *TaskStatus) Reset() {
	*x = TaskStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskStatus) ProtoMessage() {}

func (x *TaskStatus) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskStatus.ProtoReflect.Descriptor instead.
func (*TaskStatus) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{2}
}

func (x *TaskStatus) GetReconcilerManager() string {
	if x != nil {
		return x.ReconcilerManager
	}
	return ""
}

func (x *TaskStatus) GetReconcilerName() string {
	if x != nil {
		return x.ReconcilerName
	}
	return ""
}

func (x *TaskStatus) GetDesc() string {
	if x != nil {
		return x.Desc
	}
	return ""
}

func (x *TaskStatus) GetLastStatus() TaskStatus_StatusType {
	if x != nil {
		return x.LastStatus
	}
	return TaskStatus_Undefined
}

func (x *TaskStatus) GetSelfVersion() int64 {
	if x != nil {
		return x.SelfVersion
	}
	return 0
}

func (x *TaskStatus) GetTaskVersion() int64 {
	if x != nil {
		return x.TaskVersion
	}
	return 0
}

func (x *TaskStatus) GetPrevValue() []byte {
	if x != nil {
		return x.PrevValue
	}
	return nil
}

func (x *TaskStatus) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

func (x *TaskStatus) GetWhen() *timestamppb.Timestamp {
	if x != nil {
		return x.When
	}
	return nil
}

func (x *TaskStatus) GetTaskKey() string {
	if x != nil {
		return x.TaskKey
	}
	return ""
}

func (x *TaskStatus) GetSubtaskKeys() []string {
	if x != nil {
		return x.SubtaskKeys
	}
	return nil
}

func (x *TaskStatus) GetMessages() []*TaskMessage {
	if x != nil {
		return x.Messages
	}
	return nil
}

func (x *TaskStatus) GetCurrentStatus() TaskStatus_StatusType {
	if x != nil {
		return x.CurrentStatus
	}
	return TaskStatus_Undefined
}

func (x *TaskStatus) GetTaskRevision() int64 {
	if x != nil {
		return x.TaskRevision
	}
	return 0
}

func (x *TaskStatus) GetCreation() *timestamppb.Timestamp {
	if x != nil {
		return x.Creation
	}
	return nil
}

//
// A container for messages with a severity level
//
type TaskMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Level   TaskMessage_Type `protobuf:"varint,1,opt,name=Level,proto3,enum=reconcile.TaskMessage_Type" json:"Level,omitempty"`
	Message string           `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
}

func (x *TaskMessage) Reset() {
	*x = TaskMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskMessage) ProtoMessage() {}

func (x *TaskMessage) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskMessage.ProtoReflect.Descriptor instead.
func (*TaskMessage) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{3}
}

func (x *TaskMessage) GetLevel() TaskMessage_Type {
	if x != nil {
		return x.Level
	}
	return TaskMessage_Undefined
}

func (x *TaskMessage) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

//
// TaskTree is the tree of tasks spawned by an etcd key entry. It's a collection of task instances and
// task instances created by those, etc.
// This is ephermeral, i.e. not stored in minio or etcd and sent when requested.
//
type TaskTree struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Task          *TaskStatus            `protobuf:"bytes,1,opt,name=Task,proto3" json:"Task,omitempty"`
	HighestStatus TaskStatus_StatusType  `protobuf:"varint,2,opt,name=HighestStatus,proto3,enum=reconcile.TaskStatus_StatusType" json:"HighestStatus,omitempty"` // The highest level status of task + subtasks
	LastUpdated   *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=LastUpdated,proto3" json:"LastUpdated,omitempty"`                                           // The last time any of the subtasks/tasks were updated
	NumChildTasks int64                  `protobuf:"varint,4,opt,name=NumChildTasks,proto3" json:"NumChildTasks,omitempty"`                                      // The total recursive number of subtasks this and its children has
	Subtasks      []*TaskTree            `protobuf:"bytes,5,rep,name=Subtasks,proto3" json:"Subtasks,omitempty"`
}

func (x *TaskTree) Reset() {
	*x = TaskTree{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskTree) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskTree) ProtoMessage() {}

func (x *TaskTree) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskTree.ProtoReflect.Descriptor instead.
func (*TaskTree) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{4}
}

func (x *TaskTree) GetTask() *TaskStatus {
	if x != nil {
		return x.Task
	}
	return nil
}

func (x *TaskTree) GetHighestStatus() TaskStatus_StatusType {
	if x != nil {
		return x.HighestStatus
	}
	return TaskStatus_Undefined
}

func (x *TaskTree) GetLastUpdated() *timestamppb.Timestamp {
	if x != nil {
		return x.LastUpdated
	}
	return nil
}

func (x *TaskTree) GetNumChildTasks() int64 {
	if x != nil {
		return x.NumChildTasks
	}
	return 0
}

func (x *TaskTree) GetSubtasks() []*TaskTree {
	if x != nil {
		return x.Subtasks
	}
	return nil
}

//
// Depending on the Goal Type, Task Forest either:
//  - Wraps up all goals underneath if it is a supergoal
//    - For example, all subgoals across a materialization
//  - Wraps up all tasks underneath if it is a supertask
//    - For example, all keys across all reconcilers when /users/murphy is created
// This is ephermeral, i.e. not stored in minio or etcd, and sent when requested.
type TaskForest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Goal          *TaskGoal              `protobuf:"bytes,1,opt,name=Goal,proto3" json:"Goal,omitempty"`
	HighestStatus TaskStatus_StatusType  `protobuf:"varint,2,opt,name=HighestStatus,proto3,enum=reconcile.TaskStatus_StatusType" json:"HighestStatus,omitempty"` // The highest level status of goal + subtasks/subgoals
	LastUpdated   *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=LastUpdated,proto3" json:"LastUpdated,omitempty"`                                           // The last time any of the subtasks/tasks were updated
	NumChildTasks int64                  `protobuf:"varint,4,opt,name=NumChildTasks,proto3" json:"NumChildTasks,omitempty"`                                      // The total recursive number of subtasks this and its children has
	Subgoals      []*TaskForest          `protobuf:"bytes,5,rep,name=Subgoals,proto3" json:"Subgoals,omitempty"`
	Subtasks      []*TaskTree            `protobuf:"bytes,6,rep,name=Subtasks,proto3" json:"Subtasks,omitempty"`
}

func (x *TaskForest) Reset() {
	*x = TaskForest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskForest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskForest) ProtoMessage() {}

func (x *TaskForest) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskForest.ProtoReflect.Descriptor instead.
func (*TaskForest) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{5}
}

func (x *TaskForest) GetGoal() *TaskGoal {
	if x != nil {
		return x.Goal
	}
	return nil
}

func (x *TaskForest) GetHighestStatus() TaskStatus_StatusType {
	if x != nil {
		return x.HighestStatus
	}
	return TaskStatus_Undefined
}

func (x *TaskForest) GetLastUpdated() *timestamppb.Timestamp {
	if x != nil {
		return x.LastUpdated
	}
	return nil
}

func (x *TaskForest) GetNumChildTasks() int64 {
	if x != nil {
		return x.NumChildTasks
	}
	return 0
}

func (x *TaskForest) GetSubgoals() []*TaskForest {
	if x != nil {
		return x.Subgoals
	}
	return nil
}

func (x *TaskForest) GetSubtasks() []*TaskTree {
	if x != nil {
		return x.Subtasks
	}
	return nil
}

//
// This is a summary of a TaskForest
// Used when we want a status of something, but we don't care about the details
// Usually sent in addition to something, like a materialization
// This is ephermeral, i.e. not stored in minio or etcd, and sent when requested.
type TaskSummary struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HighestStatus TaskStatus_StatusType  `protobuf:"varint,1,opt,name=HighestStatus,proto3,enum=reconcile.TaskStatus_StatusType" json:"HighestStatus,omitempty"` // The highest level status of goal + subtasks/subgoals
	FirstUpdated  *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=FirstUpdated,proto3" json:"FirstUpdated,omitempty"`                                         // The first time any of the subtasks/tasks were updated; usually a creation time
	LastUpdated   *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=LastUpdated,proto3" json:"LastUpdated,omitempty"`                                           // The last time any of the subtasks/tasks were updated
	Messages      []*TaskMessage         `protobuf:"bytes,4,rep,name=Messages,proto3" json:"Messages,omitempty"`                                                 // Informational strings about the status of the task.
}

func (x *TaskSummary) Reset() {
	*x = TaskSummary{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TaskSummary) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TaskSummary) ProtoMessage() {}

func (x *TaskSummary) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TaskSummary.ProtoReflect.Descriptor instead.
func (*TaskSummary) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{6}
}

func (x *TaskSummary) GetHighestStatus() TaskStatus_StatusType {
	if x != nil {
		return x.HighestStatus
	}
	return TaskStatus_Undefined
}

func (x *TaskSummary) GetFirstUpdated() *timestamppb.Timestamp {
	if x != nil {
		return x.FirstUpdated
	}
	return nil
}

func (x *TaskSummary) GetLastUpdated() *timestamppb.Timestamp {
	if x != nil {
		return x.LastUpdated
	}
	return nil
}

func (x *TaskSummary) GetMessages() []*TaskMessage {
	if x != nil {
		return x.Messages
	}
	return nil
}

// TODO: Depreciate this.
// This is currently here for backwards compatibility, so we can convert old statuses to new ones.
type DeprStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Status result
	Result DeprStatus_DeprResultType `protobuf:"varint,1,opt,name=result,proto3,enum=reconcile.DeprStatus_DeprResultType" json:"result,omitempty"`
	// The identity of the worker responsible for reporting on this status.
	Worker string `protobuf:"bytes,2,opt,name=worker,proto3" json:"worker,omitempty"`
	// Typically used for error or warning reporting form the worker.
	Info string `protobuf:"bytes,3,opt,name=info,proto3" json:"info,omitempty"`
	// Version of the state key this status is associated with.
	Version int64 `protobuf:"varint,4,opt,name=version,proto3" json:"version,omitempty"`
	// The reconciler who owns this status.
	Reconciler string `protobuf:"bytes,5,opt,name=reconciler,proto3" json:"reconciler,omitempty"`
	// The event/type of status this is.
	Event string `protobuf:"bytes,6,opt,name=event,proto3" json:"event,omitempty"`
	// When the status was recorded
	When *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=when,proto3" json:"when,omitempty"`
}

func (x *DeprStatus) Reset() {
	*x = DeprStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeprStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeprStatus) ProtoMessage() {}

func (x *DeprStatus) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeprStatus.ProtoReflect.Descriptor instead.
func (*DeprStatus) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{7}
}

func (x *DeprStatus) GetResult() DeprStatus_DeprResultType {
	if x != nil {
		return x.Result
	}
	return DeprStatus_ResultUndefined
}

func (x *DeprStatus) GetWorker() string {
	if x != nil {
		return x.Worker
	}
	return ""
}

func (x *DeprStatus) GetInfo() string {
	if x != nil {
		return x.Info
	}
	return ""
}

func (x *DeprStatus) GetVersion() int64 {
	if x != nil {
		return x.Version
	}
	return 0
}

func (x *DeprStatus) GetReconciler() string {
	if x != nil {
		return x.Reconciler
	}
	return ""
}

func (x *DeprStatus) GetEvent() string {
	if x != nil {
		return x.Event
	}
	return ""
}

func (x *DeprStatus) GetWhen() *timestamppb.Timestamp {
	if x != nil {
		return x.When
	}
	return nil
}

//
// ReconcilerHealth is something that a reconciler periodically checks in on and writes values to.
// This is used to see if a reconciler has gone rogue, but also for some basic performance metrics.
//
type ReconcilerHealth struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Manager      string                 `protobuf:"bytes,1,opt,name=Manager,proto3" json:"Manager,omitempty"`            // Name of the manager this key belongs to.
	Name         string                 `protobuf:"bytes,2,opt,name=Name,proto3" json:"Name,omitempty"`                  // Name of the task this belongs to.
	SelfVersion  int64                  `protobuf:"varint,3,opt,name=SelfVersion,proto3" json:"SelfVersion,omitempty"`   // Version of the reconciler health
	StartTime    *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=StartTime,proto3" json:"StartTime,omitempty"`        // timestamp of when the reconciler was started
	CheckInTime  *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=CheckInTime,proto3" json:"CheckInTime,omitempty"`    // timestamp of last check-in
	Duration     *durationpb.Duration   `protobuf:"bytes,6,opt,name=Duration,proto3" json:"Duration,omitempty"`          // how long this check-in is good for
	Unresponsive bool                   `protobuf:"varint,7,opt,name=Unresponsive,proto3" json:"Unresponsive,omitempty"` // Set (during reads) if the reconciler looks unresponsive.
	KeysHandled  int64                  `protobuf:"varint,8,opt,name=KeysHandled,proto3" json:"KeysHandled,omitempty"`   // number of keys successfully handled since current startup
	LastKey      string                 `protobuf:"bytes,9,opt,name=LastKey,proto3" json:"LastKey,omitempty"`            // last key processed
	WhenLastKey  *timestamppb.Timestamp `protobuf:"bytes,10,opt,name=WhenLastKey,proto3" json:"WhenLastKey,omitempty"`   // when was the last key handled
}

func (x *ReconcilerHealth) Reset() {
	*x = ReconcilerHealth{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReconcilerHealth) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReconcilerHealth) ProtoMessage() {}

func (x *ReconcilerHealth) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReconcilerHealth.ProtoReflect.Descriptor instead.
func (*ReconcilerHealth) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{8}
}

func (x *ReconcilerHealth) GetManager() string {
	if x != nil {
		return x.Manager
	}
	return ""
}

func (x *ReconcilerHealth) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *ReconcilerHealth) GetSelfVersion() int64 {
	if x != nil {
		return x.SelfVersion
	}
	return 0
}

func (x *ReconcilerHealth) GetStartTime() *timestamppb.Timestamp {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *ReconcilerHealth) GetCheckInTime() *timestamppb.Timestamp {
	if x != nil {
		return x.CheckInTime
	}
	return nil
}

func (x *ReconcilerHealth) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

func (x *ReconcilerHealth) GetUnresponsive() bool {
	if x != nil {
		return x.Unresponsive
	}
	return false
}

func (x *ReconcilerHealth) GetKeysHandled() int64 {
	if x != nil {
		return x.KeysHandled
	}
	return 0
}

func (x *ReconcilerHealth) GetLastKey() string {
	if x != nil {
		return x.LastKey
	}
	return ""
}

func (x *ReconcilerHealth) GetWhenLastKey() *timestamppb.Timestamp {
	if x != nil {
		return x.WhenLastKey
	}
	return nil
}

// For reconcilers watching for server heartbeats, the ServerHeartbeat message indicates the
// expected interval between heartbeats
type ServerHeartbeat struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Interval uint64                 `protobuf:"varint,1,opt,name=Interval,proto3" json:"Interval,omitempty"`
	When     *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=When,proto3" json:"When,omitempty"`
}

func (x *ServerHeartbeat) Reset() {
	*x = ServerHeartbeat{}
	if protoimpl.UnsafeEnabled {
		mi := &file_taskstatus_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ServerHeartbeat) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ServerHeartbeat) ProtoMessage() {}

func (x *ServerHeartbeat) ProtoReflect() protoreflect.Message {
	mi := &file_taskstatus_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ServerHeartbeat.ProtoReflect.Descriptor instead.
func (*ServerHeartbeat) Descriptor() ([]byte, []int) {
	return file_taskstatus_proto_rawDescGZIP(), []int{9}
}

func (x *ServerHeartbeat) GetInterval() uint64 {
	if x != nil {
		return x.Interval
	}
	return 0
}

func (x *ServerHeartbeat) GetWhen() *timestamppb.Timestamp {
	if x != nil {
		return x.When
	}
	return nil
}

var File_taskstatus_proto protoreflect.FileDescriptor

var file_taskstatus_proto_rawDesc = []byte{
	0x0a, 0x10, 0x74, 0x61, 0x73, 0x6b, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x09, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x1a, 0x1f, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xe5,
	0x02, 0x0a, 0x0a, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x54, 0x61, 0x73, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x54, 0x61, 0x73,
	0x6b, 0x12, 0x2c, 0x0a, 0x11, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4d,
	0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x52, 0x65,
	0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x12,
	0x26, 0x0a, 0x0e, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4e, 0x61, 0x6d,
	0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69,
	0x6c, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x42, 0x0a, 0x09, 0x45, 0x78, 0x69, 0x73, 0x74,
	0x65, 0x6e, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x24, 0x2e, 0x72, 0x65, 0x63,
	0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x2e, 0x45, 0x78, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x73,
	0x52, 0x09, 0x45, 0x78, 0x69, 0x73, 0x74, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x38, 0x0a, 0x07, 0x4b,
	0x65, 0x79, 0x54, 0x79, 0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1e, 0x2e, 0x72,
	0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x2e, 0x4b, 0x65, 0x79, 0x54, 0x79, 0x70, 0x65, 0x73, 0x52, 0x07, 0x4b, 0x65,
	0x79, 0x54, 0x79, 0x70, 0x65, 0x22, 0x43, 0x0a, 0x0e, 0x45, 0x78, 0x69, 0x73, 0x74, 0x65, 0x6e,
	0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x73, 0x12, 0x0a, 0x0a, 0x06, 0x45, 0x78, 0x69, 0x73, 0x74,
	0x73, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x10,
	0x01, 0x12, 0x0b, 0x0a, 0x07, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x10, 0x02, 0x12, 0x0a,
	0x0a, 0x06, 0x49, 0x67, 0x6e, 0x6f, 0x72, 0x65, 0x10, 0x03, 0x22, 0x2a, 0x0a, 0x08, 0x4b, 0x65,
	0x79, 0x54, 0x79, 0x70, 0x65, 0x73, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x69, 0x6e, 0x67, 0x6c, 0x65,
	0x4b, 0x65, 0x79, 0x10, 0x00, 0x12, 0x0f, 0x0a, 0x0b, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x53,
	0x70, 0x61, 0x63, 0x65, 0x10, 0x01, 0x22, 0xaa, 0x03, 0x0a, 0x08, 0x54, 0x61, 0x73, 0x6b, 0x47,
	0x6f, 0x61, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x53, 0x65, 0x6c, 0x66, 0x4b, 0x65, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x53, 0x65, 0x6c, 0x66, 0x4b, 0x65, 0x79, 0x12, 0x12, 0x0a,
	0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x44, 0x65, 0x73, 0x63, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x44, 0x65, 0x73, 0x63, 0x12, 0x30, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x1c, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e,
	0x54, 0x61, 0x73, 0x6b, 0x47, 0x6f, 0x61, 0x6c, 0x2e, 0x47, 0x6f, 0x61, 0x6c, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x53, 0x65, 0x6c, 0x66, 0x56,
	0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x53, 0x65,
	0x6c, 0x66, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x36, 0x0a, 0x08, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x43, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x2e, 0x0a, 0x04, 0x57, 0x68, 0x65, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x04, 0x57, 0x68, 0x65,
	0x6e, 0x12, 0x18, 0x0a, 0x07, 0x53, 0x75, 0x62, 0x6b, 0x65, 0x79, 0x73, 0x18, 0x08, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x07, 0x53, 0x75, 0x62, 0x6b, 0x65, 0x79, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x53,
	0x75, 0x62, 0x67, 0x6f, 0x61, 0x6c, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28, 0x09, 0x52, 0x08, 0x53,
	0x75, 0x62, 0x67, 0x6f, 0x61, 0x6c, 0x73, 0x12, 0x31, 0x0a, 0x08, 0x53, 0x75, 0x62, 0x74, 0x61,
	0x73, 0x6b, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x72, 0x65, 0x63, 0x6f,
	0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x52, 0x08, 0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x73, 0x22, 0x37, 0x0a, 0x08, 0x47, 0x6f,
	0x61, 0x6c, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x6e, 0x64, 0x65, 0x66, 0x69,
	0x6e, 0x65, 0x64, 0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x75, 0x70, 0x65, 0x72, 0x67, 0x6f,
	0x61, 0x6c, 0x10, 0x01, 0x12, 0x0d, 0x0a, 0x09, 0x53, 0x75, 0x70, 0x65, 0x72, 0x74, 0x61, 0x73,
	0x6b, 0x10, 0x02, 0x22, 0x86, 0x06, 0x0a, 0x0a, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x12, 0x2c, 0x0a, 0x11, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72,
	0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x52,
	0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x12, 0x26, 0x0a, 0x0e, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4e, 0x61,
	0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63,
	0x69, 0x6c, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x44, 0x65, 0x73, 0x63,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x44, 0x65, 0x73, 0x63, 0x12, 0x40, 0x0a, 0x0a,
	0x4c, 0x61, 0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x20, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73,
	0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79,
	0x70, 0x65, 0x52, 0x0a, 0x4c, 0x61, 0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x20,
	0x0a, 0x0b, 0x53, 0x65, 0x6c, 0x66, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x0b, 0x53, 0x65, 0x6c, 0x66, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x12, 0x20, 0x0a, 0x0b, 0x54, 0x61, 0x73, 0x6b, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x54, 0x61, 0x73, 0x6b, 0x56, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x1c, 0x0a, 0x09, 0x50, 0x72, 0x65, 0x76, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x50, 0x72, 0x65, 0x76, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x12, 0x35, 0x0a, 0x08, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x08, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x44,
	0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2e, 0x0a, 0x04, 0x57, 0x68, 0x65, 0x6e, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x52, 0x04, 0x57, 0x68, 0x65, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x54, 0x61, 0x73, 0x6b, 0x4b,
	0x65, 0x79, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x54, 0x61, 0x73, 0x6b, 0x4b, 0x65,
	0x79, 0x12, 0x20, 0x0a, 0x0b, 0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x4b, 0x65, 0x79, 0x73,
	0x18, 0x0b, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0b, 0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x4b,
	0x65, 0x79, 0x73, 0x12, 0x32, 0x0a, 0x08, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x18,
	0x0c, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c,
	0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x08, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x12, 0x46, 0x0a, 0x0d, 0x43, 0x75, 0x72, 0x72, 0x65,
	0x6e, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20,
	0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79, 0x70, 0x65,
	0x52, 0x0d, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12,
	0x22, 0x0a, 0x0c, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x0e, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0c, 0x54, 0x61, 0x73, 0x6b, 0x52, 0x65, 0x76, 0x69, 0x73,
	0x69, 0x6f, 0x6e, 0x12, 0x36, 0x0a, 0x08, 0x43, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x0f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x52, 0x08, 0x43, 0x72, 0x65, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x6f, 0x0a, 0x0a, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x6e, 0x64,
	0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x75, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x50, 0x65, 0x6e, 0x64, 0x69, 0x6e, 0x67, 0x10, 0x03, 0x12,
	0x10, 0x0a, 0x0c, 0x55, 0x6e, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x69, 0x76, 0x65, 0x10,
	0x04, 0x12, 0x0e, 0x0a, 0x0a, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x10,
	0x05, 0x12, 0x09, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x10, 0x06, 0x22, 0xa9, 0x01, 0x0a,
	0x0b, 0x54, 0x61, 0x73, 0x6b, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x31, 0x0a, 0x05,
	0x4c, 0x65, 0x76, 0x65, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1b, 0x2e, 0x72, 0x65,
	0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x4d, 0x65, 0x73, 0x73,
	0x61, 0x67, 0x65, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x4c, 0x65, 0x76, 0x65, 0x6c, 0x12,
	0x18, 0x0a, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x4d, 0x0a, 0x04, 0x54, 0x79, 0x70,
	0x65, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x6e, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x10, 0x00,
	0x12, 0x09, 0x0a, 0x05, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x57,
	0x61, 0x72, 0x6e, 0x69, 0x6e, 0x67, 0x10, 0x02, 0x12, 0x08, 0x0a, 0x04, 0x49, 0x6e, 0x66, 0x6f,
	0x10, 0x03, 0x12, 0x09, 0x0a, 0x05, 0x44, 0x65, 0x62, 0x75, 0x67, 0x10, 0x04, 0x12, 0x09, 0x0a,
	0x05, 0x54, 0x72, 0x61, 0x63, 0x65, 0x10, 0x05, 0x22, 0x92, 0x02, 0x0a, 0x08, 0x54, 0x61, 0x73,
	0x6b, 0x54, 0x72, 0x65, 0x65, 0x12, 0x29, 0x0a, 0x04, 0x54, 0x61, 0x73, 0x6b, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e,
	0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x04, 0x54, 0x61, 0x73, 0x6b,
	0x12, 0x46, 0x0a, 0x0d, 0x48, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63,
	0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0d, 0x48, 0x69, 0x67, 0x68, 0x65,
	0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x3c, 0x0a, 0x0b, 0x4c, 0x61, 0x73, 0x74,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b, 0x4c, 0x61, 0x73, 0x74, 0x55,
	0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x24, 0x0a, 0x0d, 0x4e, 0x75, 0x6d, 0x43, 0x68, 0x69,
	0x6c, 0x64, 0x54, 0x61, 0x73, 0x6b, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0d, 0x4e,
	0x75, 0x6d, 0x43, 0x68, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x73, 0x6b, 0x73, 0x12, 0x2f, 0x0a, 0x08,
	0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x13,
	0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x54,
	0x72, 0x65, 0x65, 0x52, 0x08, 0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x73, 0x22, 0xc5, 0x02,
	0x0a, 0x0a, 0x54, 0x61, 0x73, 0x6b, 0x46, 0x6f, 0x72, 0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x04,
	0x47, 0x6f, 0x61, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x72, 0x65, 0x63,
	0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x47, 0x6f, 0x61, 0x6c, 0x52,
	0x04, 0x47, 0x6f, 0x61, 0x6c, 0x12, 0x46, 0x0a, 0x0d, 0x48, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x72,
	0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0d,
	0x48, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x3c, 0x0a,
	0x0b, 0x4c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b,
	0x4c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x24, 0x0a, 0x0d, 0x4e,
	0x75, 0x6d, 0x43, 0x68, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x73, 0x6b, 0x73, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0d, 0x4e, 0x75, 0x6d, 0x43, 0x68, 0x69, 0x6c, 0x64, 0x54, 0x61, 0x73, 0x6b,
	0x73, 0x12, 0x31, 0x0a, 0x08, 0x53, 0x75, 0x62, 0x67, 0x6f, 0x61, 0x6c, 0x73, 0x18, 0x05, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e,
	0x54, 0x61, 0x73, 0x6b, 0x46, 0x6f, 0x72, 0x65, 0x73, 0x74, 0x52, 0x08, 0x53, 0x75, 0x62, 0x67,
	0x6f, 0x61, 0x6c, 0x73, 0x12, 0x2f, 0x0a, 0x08, 0x53, 0x75, 0x62, 0x74, 0x61, 0x73, 0x6b, 0x73,
	0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69,
	0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x54, 0x72, 0x65, 0x65, 0x52, 0x08, 0x53, 0x75, 0x62,
	0x74, 0x61, 0x73, 0x6b, 0x73, 0x22, 0x87, 0x02, 0x0a, 0x0b, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x75,
	0x6d, 0x6d, 0x61, 0x72, 0x79, 0x12, 0x46, 0x0a, 0x0d, 0x48, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x72,
	0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0d,
	0x48, 0x69, 0x67, 0x68, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x3e, 0x0a,
	0x0c, 0x46, 0x69, 0x72, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x0c, 0x46, 0x69, 0x72, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x3c, 0x0a,
	0x0b, 0x4c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b,
	0x4c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x12, 0x32, 0x0a, 0x08, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x16, 0x2e,
	0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x54, 0x61, 0x73, 0x6b, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x52, 0x08, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x73, 0x22,
	0xcd, 0x02, 0x0a, 0x0a, 0x44, 0x65, 0x70, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x3c,
	0x0a, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x24,
	0x2e, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x2e, 0x44, 0x65, 0x70, 0x72, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x44, 0x65, 0x70, 0x72, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x06, 0x72, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12, 0x16, 0x0a, 0x06,
	0x77, 0x6f, 0x72, 0x6b, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x77, 0x6f,
	0x72, 0x6b, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65, 0x72, 0x73,
	0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x76, 0x65, 0x72, 0x73, 0x69,
	0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c,
	0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x2e, 0x0a, 0x04, 0x77, 0x68, 0x65, 0x6e,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x04, 0x77, 0x68, 0x65, 0x6e, 0x22, 0x55, 0x0a, 0x0e, 0x44, 0x65, 0x70, 0x72,
	0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x54, 0x79, 0x70, 0x65, 0x12, 0x13, 0x0a, 0x0f, 0x52, 0x65,
	0x73, 0x75, 0x6c, 0x74, 0x55, 0x6e, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x10, 0x00, 0x12,
	0x0b, 0x0a, 0x07, 0x57, 0x6f, 0x72, 0x6b, 0x69, 0x6e, 0x67, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05,
	0x45, 0x72, 0x72, 0x6f, 0x72, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x75, 0x63, 0x63, 0x65,
	0x73, 0x73, 0x10, 0x03, 0x12, 0x09, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x6c, 0x65, 0x10, 0x04, 0x22,
	0xaf, 0x03, 0x0a, 0x10, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x48, 0x65,
	0x61, 0x6c, 0x74, 0x68, 0x12, 0x18, 0x0a, 0x07, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x12, 0x12,
	0x0a, 0x04, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x53, 0x65, 0x6c, 0x66, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f,
	0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x53, 0x65, 0x6c, 0x66, 0x56, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x12, 0x38, 0x0a, 0x09, 0x53, 0x74, 0x61, 0x72, 0x74, 0x54, 0x69, 0x6d,
	0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x09, 0x53, 0x74, 0x61, 0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x3c,
	0x0a, 0x0b, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x0b, 0x43, 0x68, 0x65, 0x63, 0x6b, 0x49, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x35, 0x0a, 0x08,
	0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x44, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x22, 0x0a, 0x0c, 0x55, 0x6e, 0x72, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x69, 0x76, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x55, 0x6e, 0x72, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x69, 0x76, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x4b, 0x65, 0x79, 0x73, 0x48,
	0x61, 0x6e, 0x64, 0x6c, 0x65, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x4b, 0x65,
	0x79, 0x73, 0x48, 0x61, 0x6e, 0x64, 0x6c, 0x65, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x4c, 0x61, 0x73,
	0x74, 0x4b, 0x65, 0x79, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4c, 0x61, 0x73, 0x74,
	0x4b, 0x65, 0x79, 0x12, 0x3c, 0x0a, 0x0b, 0x57, 0x68, 0x65, 0x6e, 0x4c, 0x61, 0x73, 0x74, 0x4b,
	0x65, 0x79, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x0b, 0x57, 0x68, 0x65, 0x6e, 0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65,
	0x79, 0x22, 0x5d, 0x0a, 0x0f, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x48, 0x65, 0x61, 0x72, 0x74,
	0x62, 0x65, 0x61, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61, 0x6c,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x08, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61, 0x6c,
	0x12, 0x2e, 0x0a, 0x04, 0x57, 0x68, 0x65, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x04, 0x57, 0x68, 0x65, 0x6e,
	0x2a, 0x7c, 0x0a, 0x0c, 0x52, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x72, 0x4f, 0x70,
	0x12, 0x0d, 0x0a, 0x09, 0x55, 0x6e, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x64, 0x10, 0x00, 0x12,
	0x08, 0x0a, 0x04, 0x49, 0x64, 0x6c, 0x65, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x49, 0x6e, 0x69,
	0x74, 0x10, 0x02, 0x12, 0x0a, 0x0a, 0x06, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x10, 0x03, 0x12,
	0x0a, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x10, 0x04, 0x12, 0x0a, 0x0a, 0x06, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x10, 0x05, 0x12, 0x0a, 0x0a, 0x06, 0x45, 0x6e, 0x73, 0x75, 0x72,
	0x65, 0x10, 0x06, 0x12, 0x0a, 0x0a, 0x06, 0x48, 0x65, 0x61, 0x6c, 0x74, 0x68, 0x10, 0x07, 0x12,
	0x0d, 0x0a, 0x09, 0x50, 0x6f, 0x6c, 0x6c, 0x63, 0x68, 0x65, 0x63, 0x6b, 0x10, 0x08, 0x42, 0x2d,
	0x5a, 0x2b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72,
	0x67, 0x65, 0x74, 0x62, 0x2f, 0x74, 0x65, 0x63, 0x68, 0x2f, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63,
	0x69, 0x6c, 0x65, 0x3b, 0x72, 0x65, 0x63, 0x6f, 0x6e, 0x63, 0x69, 0x6c, 0x65, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_taskstatus_proto_rawDescOnce sync.Once
	file_taskstatus_proto_rawDescData = file_taskstatus_proto_rawDesc
)

func file_taskstatus_proto_rawDescGZIP() []byte {
	file_taskstatus_proto_rawDescOnce.Do(func() {
		file_taskstatus_proto_rawDescData = protoimpl.X.CompressGZIP(file_taskstatus_proto_rawDescData)
	})
	return file_taskstatus_proto_rawDescData
}

var file_taskstatus_proto_enumTypes = make([]protoimpl.EnumInfo, 7)
var file_taskstatus_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_taskstatus_proto_goTypes = []interface{}{
	(ReconcilerOp)(0),              // 0: reconcile.ReconcilerOp
	(TaskRecord_ExistenceTypes)(0), // 1: reconcile.TaskRecord.ExistenceTypes
	(TaskRecord_KeyTypes)(0),       // 2: reconcile.TaskRecord.KeyTypes
	(TaskGoal_GoalType)(0),         // 3: reconcile.TaskGoal.GoalType
	(TaskStatus_StatusType)(0),     // 4: reconcile.TaskStatus.StatusType
	(TaskMessage_Type)(0),          // 5: reconcile.TaskMessage.Type
	(DeprStatus_DeprResultType)(0), // 6: reconcile.DeprStatus.DeprResultType
	(*TaskRecord)(nil),             // 7: reconcile.TaskRecord
	(*TaskGoal)(nil),               // 8: reconcile.TaskGoal
	(*TaskStatus)(nil),             // 9: reconcile.TaskStatus
	(*TaskMessage)(nil),            // 10: reconcile.TaskMessage
	(*TaskTree)(nil),               // 11: reconcile.TaskTree
	(*TaskForest)(nil),             // 12: reconcile.TaskForest
	(*TaskSummary)(nil),            // 13: reconcile.TaskSummary
	(*DeprStatus)(nil),             // 14: reconcile.DeprStatus
	(*ReconcilerHealth)(nil),       // 15: reconcile.ReconcilerHealth
	(*ServerHeartbeat)(nil),        // 16: reconcile.ServerHeartbeat
	(*timestamppb.Timestamp)(nil),  // 17: google.protobuf.Timestamp
	(*durationpb.Duration)(nil),    // 18: google.protobuf.Duration
}
var file_taskstatus_proto_depIdxs = []int32{
	1,  // 0: reconcile.TaskRecord.Existence:type_name -> reconcile.TaskRecord.ExistenceTypes
	2,  // 1: reconcile.TaskRecord.KeyType:type_name -> reconcile.TaskRecord.KeyTypes
	3,  // 2: reconcile.TaskGoal.Type:type_name -> reconcile.TaskGoal.GoalType
	17, // 3: reconcile.TaskGoal.Creation:type_name -> google.protobuf.Timestamp
	17, // 4: reconcile.TaskGoal.When:type_name -> google.protobuf.Timestamp
	7,  // 5: reconcile.TaskGoal.Subtasks:type_name -> reconcile.TaskRecord
	4,  // 6: reconcile.TaskStatus.LastStatus:type_name -> reconcile.TaskStatus.StatusType
	18, // 7: reconcile.TaskStatus.Duration:type_name -> google.protobuf.Duration
	17, // 8: reconcile.TaskStatus.When:type_name -> google.protobuf.Timestamp
	10, // 9: reconcile.TaskStatus.Messages:type_name -> reconcile.TaskMessage
	4,  // 10: reconcile.TaskStatus.CurrentStatus:type_name -> reconcile.TaskStatus.StatusType
	17, // 11: reconcile.TaskStatus.Creation:type_name -> google.protobuf.Timestamp
	5,  // 12: reconcile.TaskMessage.Level:type_name -> reconcile.TaskMessage.Type
	9,  // 13: reconcile.TaskTree.Task:type_name -> reconcile.TaskStatus
	4,  // 14: reconcile.TaskTree.HighestStatus:type_name -> reconcile.TaskStatus.StatusType
	17, // 15: reconcile.TaskTree.LastUpdated:type_name -> google.protobuf.Timestamp
	11, // 16: reconcile.TaskTree.Subtasks:type_name -> reconcile.TaskTree
	8,  // 17: reconcile.TaskForest.Goal:type_name -> reconcile.TaskGoal
	4,  // 18: reconcile.TaskForest.HighestStatus:type_name -> reconcile.TaskStatus.StatusType
	17, // 19: reconcile.TaskForest.LastUpdated:type_name -> google.protobuf.Timestamp
	12, // 20: reconcile.TaskForest.Subgoals:type_name -> reconcile.TaskForest
	11, // 21: reconcile.TaskForest.Subtasks:type_name -> reconcile.TaskTree
	4,  // 22: reconcile.TaskSummary.HighestStatus:type_name -> reconcile.TaskStatus.StatusType
	17, // 23: reconcile.TaskSummary.FirstUpdated:type_name -> google.protobuf.Timestamp
	17, // 24: reconcile.TaskSummary.LastUpdated:type_name -> google.protobuf.Timestamp
	10, // 25: reconcile.TaskSummary.Messages:type_name -> reconcile.TaskMessage
	6,  // 26: reconcile.DeprStatus.result:type_name -> reconcile.DeprStatus.DeprResultType
	17, // 27: reconcile.DeprStatus.when:type_name -> google.protobuf.Timestamp
	17, // 28: reconcile.ReconcilerHealth.StartTime:type_name -> google.protobuf.Timestamp
	17, // 29: reconcile.ReconcilerHealth.CheckInTime:type_name -> google.protobuf.Timestamp
	18, // 30: reconcile.ReconcilerHealth.Duration:type_name -> google.protobuf.Duration
	17, // 31: reconcile.ReconcilerHealth.WhenLastKey:type_name -> google.protobuf.Timestamp
	17, // 32: reconcile.ServerHeartbeat.When:type_name -> google.protobuf.Timestamp
	33, // [33:33] is the sub-list for method output_type
	33, // [33:33] is the sub-list for method input_type
	33, // [33:33] is the sub-list for extension type_name
	33, // [33:33] is the sub-list for extension extendee
	0,  // [0:33] is the sub-list for field type_name
}

func init() { file_taskstatus_proto_init() }
func file_taskstatus_proto_init() {
	if File_taskstatus_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_taskstatus_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskRecord); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskGoal); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskTree); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskForest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TaskSummary); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeprStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReconcilerHealth); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_taskstatus_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ServerHeartbeat); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_taskstatus_proto_rawDesc,
			NumEnums:      7,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_taskstatus_proto_goTypes,
		DependencyIndexes: file_taskstatus_proto_depIdxs,
		EnumInfos:         file_taskstatus_proto_enumTypes,
		MessageInfos:      file_taskstatus_proto_msgTypes,
	}.Build()
	File_taskstatus_proto = out.File
	file_taskstatus_proto_rawDesc = nil
	file_taskstatus_proto_goTypes = nil
	file_taskstatus_proto_depIdxs = nil
}
